Bug 2236636 - Fpaste Failed to execute internal commands
Summary: Fpaste Failed to execute internal commands
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fpaste
Version: 39
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-09-01 03:41 UTC by Fábio Rodrigues Ribeiro
Modified: 2023-09-26 00:17 UTC (History)
5 users (show)

Fixed In Version: fpaste-0.4.4.0-1.fc40 fpaste-0.4.4.0-1.fc38 fpaste-0.4.4.0-1.fc39
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-09-17 15:44:07 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Fedora Pagure fpaste issue 48 0 None None None 2023-09-06 09:54:01 UTC

Description Fábio Rodrigues Ribeiro 2023-09-01 03:41:34 UTC
Fpaste fails to execute built-in commands and returns errors, in the latest version. Probably because of mass rebuild

Reproducible: Always

Steps to Reproduce:

➜ ~ rpm-ostree db diff | fpaste
Actual Results:  
/usr/bin/fpaste:50: SyntaxWarning: invalid escape sequence '.' '''ls -m /usr/share/xsessions/ | sed 's/.desktop//g' ''' /usr/bin/fpaste:93: SyntaxWarning: invalid escape sequence '[' '''grep '^[.*(EE)' /var/log/Xorg.0.log ~/.local/share/xorg/Xorg.0.log | cut -d ':' -f 2- ''' /usr/bin/fpaste:116: SyntaxWarning: invalid escape sequence '\|' ('Kernel messages', '''journalctl -k -o short-monotonic --no-hostname | grep "Linux version\| ata\|Btrfs\|BTRFS\|] hd\| scsi\| sd\| sdhci\| mmc\| nvme\| usb\| vd"''' Uploading (7.0KiB)... https://paste.centos.org/view/62285409

Expected Results:  
No warnings and errors

Comment 1 Ankur Sinha (FranciscoD) 2023-09-06 09:54:01 UTC
Thanks for the bug report. Not sure what's caused this, perhaps some change in py3.12. I'll look into it.

Comment 2 Geraldo Simião 2023-09-17 03:31:41 UTC
Still happens on the beta 1.1 iso

Fedora-KDE-Live-x86_64-39_Beta-1.1.iso
Fedora-Workstation-Live-x86_64-39_Beta-1.1.iso

fpaste-0.4.3.0-3.fc39.noarch

ibus-anthy-python-1.5.15-1.fc39.noarch
libcap-ng-python3-0.8.3-7.fc39.x86_64
policycoreutils-python-utils-3.5-7.fc39.noarch
python3-3.12.0~rc1-1.fc39.x86_64
python3-abrt-2.17.1-3.fc39.x86_64
python3-abrt-addon-2.17.1-3.fc39.noarch
python3-argcomplete-2.0.0-11.fc39.noarch
python3-audit-3.1.2-1.fc39.x86_64
python3-augeas-1.1.0-10.fc39.noarch
python3-beautifulsoup4-4.12.2-4.fc39.noarch
python3-blivet-3.8.1-1.fc39.noarch
python3-blockdev-3.0.2-3.fc39.x86_64
python3-bytesize-2.9-23.fc39.x86_64
python3-cairo-1.24.0-2.fc39.x86_64
python3-cffi-1.15.1-6.fc39.x86_64
python3-charset-normalizer-3.2.0-2.fc39.noarch
python3-click-8.1.3-5.fc39.noarch
python3-cups-2.0.1-18.fc39.x86_64
python3-dasbus-1.7-4.fc39.noarch
python3-dateutil-2.8.2-10.fc39.noarch
python3-dbus-1.3.2-4.fc39.x86_64
python3-distro-1.8.0-6.fc39.noarch
python3-dnf-4.16.2-2.fc39.noarch
python3-dnf-plugins-core-4.4.2-1.fc39.noarch
python3-enchant-3.2.2-10.fc39.noarch
python3-file-magic-5.44-5.fc39.noarch
python3-firewall-2.0.0-5.fc39.noarch
python3-gobject-3.44.1-3.fc39.x86_64
python3-gobject-base-3.44.1-3.fc39.x86_64
python3-gobject-base-noarch-3.44.1-3.fc39.noarch
python3-gpg-1.20.0-5.fc39.x86_64
python3-hawkey-0.70.2-1.fc39.x86_64
python3-humanize-3.13.1-8.fc39.noarch
python3-idna-3.4-4.fc39.noarch
python3-kickstart-3.48-3.fc39.noarch
python3-langtable-0.0.62-3.fc39.noarch
python3-libcomps-0.1.19-3.fc39.x86_64
python3-libdnf-0.70.2-1.fc39.x86_64
python3-libreport-2.17.11-3.fc39.x86_64
python3-libs-3.12.0~rc1-1.fc39.x86_64
python3-libselinux-3.5-5.fc39.x86_64
python3-libsemanage-3.5-4.fc39.x86_64
python3-lxml-4.9.3-2.fc39.x86_64
python3-meh-0.51-3.fc39.noarch
python3-meh-gui-0.51-3.fc39.noarch
python3-nftables-1.0.7-3.fc39.x86_64
python3-packaging-23.1-4.fc39.noarch
python3-pexpect-4.8.0-17.fc39.noarch
python3-pid-2.2.3-18.fc39.noarch
python3-ply-3.11-20.fc39.noarch
python3-policycoreutils-3.5-7.fc39.noarch
python3-productmd-1.36-1.fc39.noarch
python3-ptyprocess-0.7.0-5.fc39.noarch
python3-pwquality-1.4.5-6.fc39.x86_64
python3-pyatspi-2.46.0-6.fc39.noarch
python3-pycparser-2.20-11.fc39.noarch
python3-pycurl-7.45.2-5.fc39.x86_64
python3-pyparted-3.13.0-3.fc39.x86_64
python3-pysocks-1.7.1-20.fc39.noarch
python3-pyudev-0.24.1-5.fc39.noarch
python3-pyxdg-0.27-9.fc39.noarch
python3-pyyaml-6.0.1-11.fc39.x86_64
python3-regex-2023.6.3-1.fc39.x86_64
python3-requests-2.28.2-5.fc39.noarch
python3-requests-file-1.5.1-10.fc39.noarch
python3-requests-ftp-0.3.1-29.fc39.noarch
python3-rpm-4.18.92-1.fc39.x86_64
python3-satyr-0.42-4.fc39.x86_64
python3-setools-4.4.3-1.fc39.x86_64
python3-setuptools-67.7.2-5.fc39.noarch
python3-simpleaudio-1.0.4-11.fc39.x86_64
python3-simpleline-1.9.0-8.fc39.noarch
python3-six-1.16.0-12.fc39.noarch
python3-soupsieve-2.4.1-7.fc39.noarch
python3-systemd-235-5.fc39.x86_64
python3-tkinter-3.12.0~rc1-1.fc39.x86_64
python3-unbound-1.17.1-4.fc39.x86_64
python3-urllib3-1.26.16-2.fc39.noarch
python3-urllib3+socks-1.26.16-2.fc39.noarch
python-pip-wheel-23.2.1-1.fc39.noarch
python-systemd-doc-235-5.fc39.x86_64
python-unversioned-command-3.12.0~rc1-1.fc39.noarch
sudo-python-plugin-1.9.14-1.p3.fc39.x86_64

Comment 3 Fedora Update System 2023-09-17 15:42:23 UTC
FEDORA-2023-bdcf0367a2 has been submitted as an update to Fedora 40. https://bodhi.fedoraproject.org/updates/FEDORA-2023-bdcf0367a2

Comment 4 Fedora Update System 2023-09-17 15:44:07 UTC
FEDORA-2023-bdcf0367a2 has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 5 Fedora Update System 2023-09-17 15:48:54 UTC
FEDORA-2023-4e6ee3437c has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-4e6ee3437c

Comment 6 Fedora Update System 2023-09-17 15:59:27 UTC
FEDORA-2023-08c7832646 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-08c7832646

Comment 7 Geraldo Simião 2023-09-18 00:07:11 UTC
Fix tested on both F38 and F39. Fpaste now works just fine, no more errors.

Comment 8 Fedora Update System 2023-09-18 02:04:53 UTC
FEDORA-2023-4e6ee3437c has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-4e6ee3437c`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-4e6ee3437c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2023-09-18 03:15:05 UTC
FEDORA-2023-08c7832646 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-08c7832646`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-08c7832646

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2023-09-18 18:07:36 UTC
FEDORA-2023-08c7832646 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2023-09-26 00:17:37 UTC
FEDORA-2023-4e6ee3437c has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.